# DAPP Services

### [dappservices](https://bloks.io/account/dappservices)

#### [get\_package\_info](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_package_info.ts) - returns package info

```
/*
    
    dappNetwork.get_package_info
    * account name
    * service name - service names are listed under the services section of the docs as the Contract name

*/

const response = await (await getClient()).dappNetwork.get_package_info( "cardgame1112", "accountless1" );
console.log(response);
// {
//     api: 'https://kylin-dsp-2.liquidapps.io',
//     package_json_uri: 'https://kylin-dsp-2.liquidapps.io/liquidaccts2.dsp-package.json',
//     package_id: 'liquidaccts2',
//     service: 'accountless1',
//     provider: 'heliosselene',
//     quota: '10.0000 QUOTA',
//     package_period: 60,
//     min_stake_quantity: '10.0000 DAPP',
//     min_unstake_period: 3600,
//     enabled: 0
// }
```

#### [get\_table\_accountext](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_accountext.ts) - returns entire accountext table

```
/*
    
    dappNetwork.get_table_accountext

*/

const response = await (await getClient()).dappNetwork.get_table_accountext();
for (const row of response.rows) {
    console.log(row);
    // {
    //     id: 144,
    //     account: 'mailcontract',
    //     service: 'ipfsservice1',
    //     provider: 'heliosselene',
    //     quota: '9.9907 QUOTA',
    //     balance: '10.0000 DAPP',
    //     last_usage: '1564112241500',
    //     last_reward: '1564112241500',
    //     package: 'ipfs1',
    //     pending_package: 'ipfs1',
    //     package_started: '1564112241500',
    //     package_end: '1564112301500'
    // }
}
```

#### [get\_table\_accountext\_by\_account\_service](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_accountext_by_account_service.ts) - returns entire accountext by account and service specified

```
/*
    
    dappNetwork.get_table_accountext_by_account_service
    * account name
    * service name - service names are listed under the services section of the docs as the Contract name

*/

const response = await (await getClient()).dappNetwork.get_table_accountext_by_account_service('cardgame1112', 'ipfsservice1');
for (const row of response.rows) {
    console.log(row);
    // {
    //     id: 144,
    //     account: 'mailcontract',
    //     service: 'ipfsservice1',
    //     provider: 'heliosselene',
    //     quota: '9.9907 QUOTA',
    //     balance: '10.0000 DAPP',
    //     last_usage: '1564112241500',
    //     last_reward: '1564112241500',
    //     package: 'ipfs1',
    //     pending_package: 'ipfs1',
    //     package_started: '1564112241500',
    //     package_end: '1564112301500'
    // }
}
```

#### [get\_table\_accountext\_by\_account\_service\_provider](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_accountext_by_account_service_provider.ts) - returns entire accountext by account, service, and provider specified

```
/*
    
    dappNetwork.get_table_accountext_by_account_service_provider
    * account name
    * service name - service names are listed under the services section of the docs as the Contract name
    * provider name - DSP name

*/

const response = await (await getClient()).dappNetwork.get_table_accountext_by_account_service_provider('cardgame1112', 'ipfsservice1','heliosselene');
for (const row of response.rows) {
    console.log(row);
    // {
    //     id: 144,
    //     account: 'mailcontract',
    //     service: 'ipfsservice1',
    //     provider: 'heliosselene',
    //     quota: '9.9907 QUOTA',
    //     balance: '10.0000 DAPP',
    //     last_usage: '1564112241500',
    //     last_reward: '1564112241500',
    //     package: 'ipfs1',
    //     pending_package: 'ipfs1',
    //     package_started: '1564112241500',
    //     package_end: '1564112301500'
    // }
}
```

#### [get\_table\_package](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_package.ts) - returns entire package table

```
/*
    
    dappNetwork.get_table_package
    * [limit] - optional limit for how many packages to return

*/

const response = await (await getClient()).dappNetwork.get_table_package({ limit: 500 });
for (const row of response.rows) {
    console.log(row);
    // {
    //     id: 9,
    //     api_endpoint: 'https://kylin-dsp-2.liquidapps.io',
    //     package_json_uri: 'https://kylin-dsp-2.liquidapps.io/package1.dsp-package.json',
    //     package_id: 'package1',
    //     service: 'ipfsservice1',
    //     provider: 'heliosselene',
    //     quota: '1.0000 QUOTA',
    //     package_period: 86400,
    //     min_stake_quantity: '10.0000 DAPP',
    //     min_unstake_period: 3600,
    //     enabled: 1
    // }
}
```

#### [get\_table\_package\_by\_package\_service\_provider](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_package_by_package_service_provider.ts) - returns packages by package, service, and DSP name

```
/*
    
    dappNetwork.get_table_package_by_package_service_provider
    * package name
    * service name - service names are listed under the services section of the docs as the Contract name
    * DSP name
    * [limit] - optional limit for how many packages to return

*/

const response = await (await getClient()).dappNetwork.get_table_package_by_package_service_provider('package1', 'ipfsservice1', 'heliosselene', { limit: 500 });
for (const row of response.rows) {
    console.log(row);
    // {
    //     id: 9,
    //     api_endpoint: 'https://kylin-dsp-2.liquidapps.io',
    //     package_json_uri: 'https://kylin-dsp-2.liquidapps.io/package1.dsp-package.json',
    //     package_id: 'package1',
    //     service: 'ipfsservice1',
    //     provider: 'heliosselene',
    //     quota: '1.0000 QUOTA',
    //     package_period: 86400,
    //     min_stake_quantity: '10.0000 DAPP',
    //     min_unstake_period: 3600,
    //     enabled: 1
    // }
}
```

#### [get\_table\_packagext](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_packagext.ts) - returns a packages selected inflation rate and quota cost for actions

```
/*
    
    dappNetwork.get_table_packagext
    * [limit] - optional limit for how many packages to return

*/

const response = await (await getClient()).dappNetwork.get_table_packagext({ limit: 500 });
for (const row of response.rows) {
    console.log(row);
}
```

#### [get\_table\_packagext\_by\_package\_service\_provider](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_packagext_by_package_service_provider.ts) - returns DSP packagext entries that match the package and dsp service provided

```
/*
    
    dappNetwork.get_table_packagext_by_package_service_provider
    * package name
    * service name - service names are listed under the services section of the docs as the Contract name
    * DSP name
    * [limit] - optional limit for how many packages to return

*/

const response = await (await getClient()).dappNetwork.get_table_packagext_by_package_service_provider('package1', 'ipfsservice1', 'heliosselene', { limit: 500 });
for (const row of response.rows) {
    console.log(row);
}
```

#### [get\_table\_refunds](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_refunds.ts) - returns refund table details for account name specified

```
/*
    
    dappNetwork.get_table_refunds
    * account name

*/

const response = await (await getClient()).dappNetwork.get_table_refunds('heliosselene');
for (const row of response.rows) {
    console.log(row);
    // {
    //     id: 0,
    //     account: 'heliosselene',
    //     amount: '10.0000 DAPP',
    //     unstake_time: 12345678
    //     provider: 'heliosselene',
    //     service: 'ipfsservice1'
    // }
}
```

#### [get\_table\_staking](https://github.com/liquidapps-io/zeus-sdk/blob/master/boxes/groups/dapp-network/client-lib-base/client/examples/get_table_staking.ts) - returns staking table details for account name specified

```
/*
    
    dappNetwork.get_table_staking
    * account name

*/

const response = await (await getClient()).dappNetwork.get_table_staking('cardgame1112');
for (const row of response.rows) {
    console.log(row);
    // {
    //     id: 0,
    //     account: 'cardgame1112',
    //     balance: '10.0000 DAPP',
    //     provider: 'uuddlrlrbass',
    //     service: 'accountless1'
    // }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidapps.io/liquidapps-documentation/introduction/dapp-network-resources/liquidapps-dapp-client/dapp-services.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
